summaryrefslogtreecommitdiffstats
path: root/dovetail/patch/functest/disable-api-validation/apply.sh
diff options
context:
space:
mode:
authorGeorg Kunz <georg.kunz@ericsson.com>2018-04-01 11:35:09 +0200
committerGeorg Kunz <georg.kunz@ericsson.com>2018-04-09 23:13:37 +0200
commitb33fc07ea2cfd7c4bad0dd404ad0cb45dbb476df (patch)
tree7b4373c840cb96179be3046b49b981b7b92ce740 /dovetail/patch/functest/disable-api-validation/apply.sh
parent5749c7888be91216e79c840029fc89eb192c338b (diff)
API validaton exemption for Danube-based releaseovp.1.1.0
This patch adds the ability to Dovetail to disable strict API response validation in Tempest-based test cases run by Functest. This is a backport of the changes from master, targeting OVP 1.0.1 Corresponding updates of the web portal will follow. JIRA: DOVETAIL-633 Change-Id: Iace99ea1b6224ea907a2c3af8676e9285e6ad3ee Signed-off-by: Georg Kunz <georg.kunz@ericsson.com>
Diffstat (limited to 'dovetail/patch/functest/disable-api-validation/apply.sh')
-rwxr-xr-xdovetail/patch/functest/disable-api-validation/apply.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/dovetail/patch/functest/disable-api-validation/apply.sh b/dovetail/patch/functest/disable-api-validation/apply.sh
new file mode 100755
index 00000000..915bce43
--- /dev/null
+++ b/dovetail/patch/functest/disable-api-validation/apply.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+set -u
+
+# without setting the user, git does not allow to create a commit
+git config --global user.email "verified@opnfv.org"
+git config --global user.name "Dovetail"
+
+cd /src/tempest
+git am $(dirname $0)/0001-Allow-additional-properties-in-API-responses.patch
+
+exit 0